%define oname   radius

Name:       ruby-%{oname}
Version:    0.6.1
Release:    %mkrel 1
Summary:    Powerful tag-based template system
License:    MIT
Group:      Development/Ruby
URL:        http://radius.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(newgem) >= 1.5.2
BuildRequires: rubygem(hoe) >= 2.3.3
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Radius is a powerful tag-based template language for Ruby inspired by the
template languages used in MovableType[http://www.movabletype.org] and
TextPattern[http://www.textpattern.com]. It uses tags similar to XML, but
can be used to generate any form of plain text (HTML, e-mail, etc...).

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.rdoc
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/QUICKSTART.rdoc
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.6.1-1.mga1
+ Revision: 51139
- imported package ruby-radius


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.1-1
- Initial package
